## org.eclipse.ocl.types.operations
Class TupleTypeOperations

    java.lang.Object
      org.eclipse.ocl.types.operations.TupleTypeOperations

    public class TupleTypeOperations

extends Object

A static utility class that provides operations related to 'Tuple Type' model objects.

The following operations are supported:

- `Check Tuple Type Name`
- `Check Part Names Unique`
- `Check Features Only Properties`
- `Ocl Properties`

Constructor Summary
`protected` `TupleTypeOperations()`

Method Summary

`static

`<O,P> boolean`

`

`checkFeaturesOnlyProperties(TupleType<O,P> tupleType, DiagnosticChain diagnostics, Map<Object,Object> context)`
feature->forAll (f | f.oclIsTypeOf(Property))

`static

`<O,P> boolean`

`

`checkPartNamesUnique(TupleType<O,P> tupleType, DiagnosticChain diagnostics, Map<Object,Object> context)`
true

`static

`<O,P> boolean`

`

`checkTupleTypeName(TupleType<O,P> tupleType, DiagnosticChain diagnostics, Map<Object,Object> context)`
name = 'Tuple('.concat ( Sequence{1..allProperties()->size()}->iterate (pn; s: String = '' | let p: Property = allProperties()->at (pn) in ( s.concat ( (if (pn>1) then ',' else '' endif) .concat (p.name).concat (': ') .concat (p.type.name) ) ) ) ).concat (')')

`static

`<O,P> EList<P>`

`

`oclProperties(TupleType<O,P> tupleType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleTypeOperations

    protected TupleTypeOperations()

Method Detail

### checkTupleTypeName

    public static <O,P> boolean checkTupleTypeName(TupleType<O,P> tupleType,
                                                   DiagnosticChain diagnostics,
                                                   Map<Object,Object> context)

  name = 'Tuple('.concat ( Sequence{1..allProperties()->size()}->iterate (pn; s: String = '' | let p: Property = allProperties()->at (pn) in ( s.concat ( (if (pn>1) then ',' else '' endif) .concat (p.name).concat (': ') .concat (p.type.name) ) ) ) ).concat (')')

  Parameters:
    `tupleType` - The receiving 'Tuple Type' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkPartNamesUnique

    public static <O,P> boolean checkPartNamesUnique(TupleType<O,P> tupleType,
                                                     DiagnosticChain diagnostics,
                                                     Map<Object,Object> context)

  true

  Parameters:
    `tupleType` - The receiving 'Tuple Type' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkFeaturesOnlyProperties

    public static <O,P> boolean checkFeaturesOnlyProperties(TupleType<O,P> tupleType,
                                                            DiagnosticChain diagnostics,
                                                            Map<Object,Object> context)

  feature->forAll (f | f.oclIsTypeOf(Property))

  Parameters:
    `tupleType` - The receiving 'Tuple Type' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### oclProperties

    public static <O,P> EList<P> oclProperties(TupleType<O,P> tupleType)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.